Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config
Class ImmutableThreadingProfile

    java.lang.Object
      org.mule.config.ImmutableThreadingProfile

All Implemented Interfaces:
  ThreadingProfile

    public class ImmutableThreadingProfile

extends Object
implements ThreadingProfile

Nested Class Summary
`static class` | `ImmutableThreadingProfile.DefaultWorkManagerFactory`

Nested classes/interfaces inherited from interface org.mule.api.config.ThreadingProfile
`ThreadingProfile.WorkManagerFactory`

Field Summary

Fields inherited from interface org.mule.api.config.ThreadingProfile
`DEFAULT_DO_THREADING, DEFAULT_MAX_BUFFER_SIZE, DEFAULT_MAX_THREAD_TTL, DEFAULT_MAX_THREADS_ACTIVE, DEFAULT_MAX_THREADS_IDLE, DEFAULT_POOL_EXHAUST_ACTION, DEFAULT_THREAD_WAIT_TIMEOUT, DEFAULT_THREADING_PROFILE, POOL_EXHAUSTED_ACTIONS, WHEN_EXHAUSTED_ABORT, WHEN_EXHAUSTED_DISCARD, WHEN_EXHAUSTED_DISCARD_OLDEST, WHEN_EXHAUSTED_RUN, WHEN_EXHAUSTED_WAIT`

Constructor Summary
`ImmutableThreadingProfile(int maxThreadsActive, int maxThreadsIdle, int maxBufferSize, long threadTTL, long threadWaitTimeout, int poolExhaustedAction, boolean doThreading, edu.emory.mathcs.backport.java.util.concurrent.RejectedExecutionHandler rejectedExecutionHandler, edu.emory.mathcs.backport.java.util.concurrent.ThreadFactory threadFactory)`
`ImmutableThreadingProfile(ThreadingProfile tp)`

Method Summary
`edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor` | `createPool()`
`edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor` | `createPool(String name)`
`static edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor` | `createPool(String name, ThreadingProfile tp)`
`WorkManager` | `createWorkManager(String name, int shutdownTimeout)`
`int` | `getMaxBufferSize()`
`int` | `getMaxThreadsActive()`
`int` | `getMaxThreadsIdle()`
`int` | `getPoolExhaustedAction()`
`edu.emory.mathcs.backport.java.util.concurrent.RejectedExecutionHandler` | `getRejectedExecutionHandler()`
`edu.emory.mathcs.backport.java.util.concurrent.ThreadFactory` | `getThreadFactory()`
`long` | `getThreadTTL()`
`long` | `getThreadWaitTimeout()`
`ThreadingProfile.WorkManagerFactory` | `getWorkManagerFactory()`
`boolean` | `isDoThreading()`
`void` | `setDoThreading(boolean doThreading)`
`void` | `setMaxBufferSize(int maxBufferSize)`
`void` | `setMaxThreadsActive(int maxThreadsActive)`
`void` | `setMaxThreadsIdle(int maxThreadsIdle)`
`void` | `setPoolExhaustedAction(int poolExhaustPolicy)`
`void` | `setRejectedExecutionHandler(edu.emory.mathcs.backport.java.util.concurrent.RejectedExecutionHandler rejectedExecutionHandler)`
`void` | `setThreadFactory(edu.emory.mathcs.backport.java.util.concurrent.ThreadFactory threadFactory)`
`void` | `setThreadTTL(long threadTTL)`
`void` | `setThreadWaitTimeout(long threadWaitTimeout)`
`void` | `setWorkManagerFactory(ThreadingProfile.WorkManagerFactory workManagerFactory)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImmutableThreadingProfile

    public ImmutableThreadingProfile(int maxThreadsActive,
                                     int maxThreadsIdle,
                                     int maxBufferSize,
                                     long threadTTL,
                                     long threadWaitTimeout,
                                     int poolExhaustedAction,
                                     boolean doThreading,
                                     edu.emory.mathcs.backport.java.util.concurrent.RejectedExecutionHandler rejectedExecutionHandler,
                                     edu.emory.mathcs.backport.java.util.concurrent.ThreadFactory threadFactory)

### ImmutableThreadingProfile

    public ImmutableThreadingProfile(ThreadingProfile tp)

Method Detail

### getMaxThreadsActive

    public int getMaxThreadsActive()

  Specified by:
    `getMaxThreadsActive` in interface `ThreadingProfile`

### getMaxThreadsIdle

    public int getMaxThreadsIdle()

  Specified by:
    `getMaxThreadsIdle` in interface `ThreadingProfile`

### getThreadTTL

    public long getThreadTTL()

  Specified by:
    `getThreadTTL` in interface `ThreadingProfile`

### getThreadWaitTimeout

    public long getThreadWaitTimeout()

  Specified by:
    `getThreadWaitTimeout` in interface `ThreadingProfile`

### getPoolExhaustedAction

    public int getPoolExhaustedAction()

  Specified by:
    `getPoolExhaustedAction` in interface `ThreadingProfile`

### getRejectedExecutionHandler

    public edu.emory.mathcs.backport.java.util.concurrent.RejectedExecutionHandler getRejectedExecutionHandler()

  Specified by:
    `getRejectedExecutionHandler` in interface `ThreadingProfile`

### getThreadFactory

    public edu.emory.mathcs.backport.java.util.concurrent.ThreadFactory getThreadFactory()

  Specified by:
    `getThreadFactory` in interface `ThreadingProfile`

### setMaxThreadsActive

    public void setMaxThreadsActive(int maxThreadsActive)

  Specified by:
    `setMaxThreadsActive` in interface `ThreadingProfile`

### setMaxThreadsIdle

    public void setMaxThreadsIdle(int maxThreadsIdle)

  Specified by:
    `setMaxThreadsIdle` in interface `ThreadingProfile`

### setThreadTTL

    public void setThreadTTL(long threadTTL)

  Specified by:
    `setThreadTTL` in interface `ThreadingProfile`

### setThreadWaitTimeout

    public void setThreadWaitTimeout(long threadWaitTimeout)

  Specified by:
    `setThreadWaitTimeout` in interface `ThreadingProfile`

### setPoolExhaustedAction

    public void setPoolExhaustedAction(int poolExhaustPolicy)

  Specified by:
    `setPoolExhaustedAction` in interface `ThreadingProfile`

### setRejectedExecutionHandler

    public void setRejectedExecutionHandler(edu.emory.mathcs.backport.java.util.concurrent.RejectedExecutionHandler rejectedExecutionHandler)

  Specified by:
    `setRejectedExecutionHandler` in interface `ThreadingProfile`

### setThreadFactory

    public void setThreadFactory(edu.emory.mathcs.backport.java.util.concurrent.ThreadFactory threadFactory)

  Specified by:
    `setThreadFactory` in interface `ThreadingProfile`

### getMaxBufferSize

    public int getMaxBufferSize()

  Specified by:
    `getMaxBufferSize` in interface `ThreadingProfile`

### setMaxBufferSize

    public void setMaxBufferSize(int maxBufferSize)

  Specified by:
    `setMaxBufferSize` in interface `ThreadingProfile`

### getWorkManagerFactory

    public ThreadingProfile.WorkManagerFactory getWorkManagerFactory()

  Specified by:
    `getWorkManagerFactory` in interface `ThreadingProfile`

### setWorkManagerFactory

    public void setWorkManagerFactory(ThreadingProfile.WorkManagerFactory workManagerFactory)

  Specified by:
    `setWorkManagerFactory` in interface `ThreadingProfile`

### createWorkManager

    public WorkManager createWorkManager(String name,
                                         int shutdownTimeout)

  Specified by:
    `createWorkManager` in interface `ThreadingProfile`

### createPool

    public edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor createPool()

  Specified by:
    `createPool` in interface `ThreadingProfile`

### createPool

    public edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor createPool(String name)

  Specified by:
    `createPool` in interface `ThreadingProfile`

### isDoThreading

    public boolean isDoThreading()

  Specified by:
    `isDoThreading` in interface `ThreadingProfile`

### setDoThreading

    public void setDoThreading(boolean doThreading)

  Specified by:
    `setDoThreading` in interface `ThreadingProfile`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### createPool

    public static edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor createPool(String name,
                                                                                               ThreadingProfile tp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.